<div class="home">
  <AppBar :title="currentRouteName" @clicked="onClickChild" @toggle-drawer="$refs.drawer.drawer = !$refs.drawer.drawer">
    <div slot="navbarRightAction">
      <v-btn icon :to="'/search'">
        <v-icon>mdi-magnify</v-icon>
      </v-btn>
      <v-btn icon :to="'/filter'">
        <v-icon>mdi-dots-vertical</v-icon>
      </v-btn>
    </div>



  </AppBar>


  <!-- <LeftSideNavigation :drawer="drawer" /> -->
  <LeftSideNavigation ref="drawer" />



  <v-content>
    <div class="ma-2">
      <!-- TAGS -->
      <div class="text-center scrolling-wrapper">
        <div class="tags">
          <v-chip
            class="ma-2"
            color="red"
            text-color="white"
          >
            VEGETARIAN
          </v-chip>
          <v-chip
            class="ma-2"
            color="red"
            text-color="white"
          >
            SALADS
          </v-chip>
          <v-chip
            class="ma-2"
            color="red"
            text-color="white"
          >
            MICROWAVE
          </v-chip>
          <v-chip
            class="ma-2"
            color="red"
            text-color="white"
          >
            VEGETARIAN
          </v-chip>
          <v-chip
            class="ma-2"
            color="red"
            text-color="white"
          >
            SALADS
          </v-chip>
          <v-chip
            class="ma-2"
            color="red"
            text-color="white"
          >
            MICROWAVE
          </v-chip>
        </div>

      </div>
    </div>

    <!-- RECIPE -->
    <Title :title="'Easy brakfast'">
      <div slot="action">
        <v-btn text color="deep-purple">More</v-btn>
      </div>
    </Title>

    <div class="scrolling-wrapper">
      <v-col
        class="card"
        cols="6"
        sm="6"
        md="4"
        v-for="(cardData, index) in recipes" :key="index"
      >
        <RecipeItem :cardData="cardData" />
      </v-col>
    </div>





  </v-content>
</div>